Subject: Ticket Assigned - Returned lee cooper watch
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 25 Mar 2021 02:12:50 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returned lee cooper watch Dear Sir/Madam,
This is with regards to lee cooper women's analog blue dial watch-LC06625.490 that i bought online and paid by cash on delivery. I returned it last Mar. 20, 2021(Saturday)to your delivery partner because of slight crack in crystal glass. He said it will take 2-3 days to process the refund. I Would like to follow up when can I receive my refund.
I would appreciate if I can hear from you soon. 
Thank you.
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2297495